org.apache.solr.search

## Class DocSetCollector

- java.lang.Object
- - org.apache.lucene.search.SimpleCollector
  - - org.apache.solr.search.DocSetCollector

- All Implemented Interfaces:
    Collector, LeafCollector

      public class DocSetCollector
      extends SimpleCollector

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DocSetCollector.ExpandingIntArray`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocSetCollector(int maxDoc)`
    `DocSetCollector(int smallSetSize, int maxDoc)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collect(int doc)`
    `protected void` | `doSetNextReader(LeafReaderContext context)`
    `DocSet` | `getDocSet()`
    `boolean` | `needsScores()`
    `void` | `setScorer(Scorer scorer)`

    - ### Methods inherited from class org.apache.lucene.search.SimpleCollector

      `getLeafCollector`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocSetCollector

          public DocSetCollector(int maxDoc)

    - #### DocSetCollector

          public DocSetCollector(int smallSetSize,
                                 int maxDoc)

  - ### Method Detail

    - #### collect

          public void collect(int doc)
                       throws IOException

      Specified by:
        `collect` in interface `LeafCollector`
      Specified by:
        `collect` in class `SimpleCollector`
      Throws:
        `IOException`

    - #### getDocSet

          public DocSet getDocSet()

    - #### setScorer

          public void setScorer(Scorer scorer)
                         throws IOException

      Specified by:
        `setScorer` in interface `LeafCollector`
      Overrides:
        `setScorer` in class `SimpleCollector`
      Throws:
        `IOException`

    - #### needsScores

          public boolean needsScores()

    - #### doSetNextReader

          protected void doSetNextReader(LeafReaderContext context)
                                  throws IOException

      Overrides:
        `doSetNextReader` in class `SimpleCollector`
      Throws:
        `IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.